apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: minio-ingress
  namespace: default # 需要修改
  labels:
    cmii.app: minio
    cmii.type: middle-ware
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/proxy-body-size: "5120m"
spec:
  tls:
    - hosts:
        - oss.dev.uavcmlc.com     # 批量替换
        - oss-cs.dev.uavcmlc.com  # 批量替换
      secretName: x.dev.uavcmlc.com-tls

  rules:
    - host: oss.dev.uavcmlc.com
      http:
        paths:
          - backend:
              service:
                name: oss-dev-hl
                port:
                  number: 9000
            path: /
            pathType: ImplementationSpecific

    - host: oss-cs.dev.uavcmlc.com
      http:
        paths:
          - backend:
              service:
                name: oss-dev-console
                port:
                  number: 9090
            path: /
            pathType: ImplementationSpecific